Package twisted :: Package web :: Module xmlrpc :: Class QueryFactory

[frames | no frames]

## Class QueryFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   QueryFactory

Method Summary
| `__init__(self, url, host, method, *args)`
| `badStatus(self, status, message)`
| `clientConnectionFailed(self, _, reason)`
| `clientConnectionLost(self, _, reason)`
| `parseResponse(self, contents)`
Inherited from ClientFactory
| ``startedConnecting`(self, connector)` Called when a connection has been started.
Inherited from Factory
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`NoneType` | `deferred` = None
`class` | `protocol` = `twisted.web.xmlrpc.QueryProtocol`
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Class Variable Details

### deferred

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Wed Feb 25 07:36:56 2004 | http://epydoc.sf.net